const initialState = {
        disabled: true,
        id: 1,
        name: "Направления",
        desc: "Мы обучаем пяти различным уличным направлениям и делаем это профессионально. Выберите свое любимое направление.",
        directions: [
            {
                disabled: true,
                show: false,
                id: 1,
                name: "Hip-Hop",
                desc: "Хип-хоп(Hip-Hop) зародился в Нью-Йорке в 80-ых. Большое влияние на развитие стиля оказали социальные танцы и фанковые направления.",
                info: [
                    "Хип-хоп(Hip-Hop) зародился в Нью-Йорке в 80-ых. Большое влияние на развитие стиля оказали социальные танцы и фанковые направления. " +
                    "Нельзя сказать однозначно, кого считать основателем хип-хопа. Но отдельного упоминания заслуживает команда \"Elite Force\".",

                    "Участники команды начали выступать в клубах и ставить хореографию для клипов музыкальных звезд того времени. ",
                    "Хип-хоп быстро получил широкое распространение и остается крайне популярным по сей день."
                ],
                video: "hiphop.mp4",
                poster: "poster-hiphop.jpg"
            },
            {
                disabled: true,
                show: false,
                id: 2,
                name: "Locking",
                desc: "История Локинга началась с одного человека по имени Дон Кэмпбелл в ранних 70-х во время расцвета Фанка в Калифорнии.",
                info: [
                    "Locking (Локинг) - пожалуй один из самых позитивных из фанковых стилей танца. " +
                    "Своим названием 'locking' танец обязан характерным позировкам остановкам (locks).",

                    "История Локинга началась с одного человека по имени Дон Кэмпбелл в ранних 70-х в Калифорнии. Когда Дон ещё не был танцором и " +
                    "пытался танцевать, он постоянно останавливался, потому как не знал, что делать дальше. В последствии, эти \"остановки\" " +
                    "стали называть \"locks\". Отсюда стиль и получил свое название."
                ],
                video: "Semen.mp4",
                poster: "poster-locking.jpg"
            },
            {
                disabled: false,
                show: false,
                id: 3,
                name: "Popping",
                desc: "Стиль танца, основанный на технике быстрого сокращения и расслабления мышц, создающей эффект резкого вздрагивания в теле танцора.",
                info: [
                    "Паппинг(Popping) — стиль танца, основанный на технике быстрого сокращения и расслабления мышц, " +
                    "создающей эффект резкого вздрагивания в теле танцора — \"пап\" или \"хит\". Танец появился в городе Фресно (Калифорния) в 70-х годах ХХ в. " +
                    "За пределы США танец вышел в 80-х – весь мир начал пытаться двигаться как робот, делать волну всем телом и выполнять немыслимые движения Паппинга.",

                    "Однако со временем, в середине 90-х годов, Паппинг сменился брейк-дансом и хип-хопом, отойдя на второй план. " +
                    "Второе рождение произошло во Франции в начале нулевых. " +
                    "На данный момент стиль Паппинг активно развивается и является одним из самых уличных танцев."

                ],
                video: "popping.mp4",
                poster: "poster-popping.jpg"
            },
            {
                disabled: false,
                show: false,
                id: 4,
                name: "House",
                desc: "Cовременное социальное танцевальное направление, произошедшее от одноименного стиля электронной музыки в Чикаго начала 1980-х.",
                info: [
                    "Хаус(House) – это современное социальное танцевальное направление, зародившееся в Чикаго в начале 80-х годов благодаря одноименному стилю электронной музыки. " +
                    "Название стиля произошло от клуба \"Warehouse\", в котором диджеи впервые начали играть хаус-музыку.\n",

                    "Немаловажную роль в формировании хауса сыграли африканские и латиноамериканские танцы, боевые искусства, vogue, waacking и брейкинг.\n" +
                    "На территории нашего танцевального пространства Хаус развивает один из сильнейших представителей стиля в России - Bj Slav."
                ],
                video: "house.mp4",
                poster: "poster-house.jpg"
            },
            {
                disabled: true,
                show: false,
                id: 5,
                name: "Choreography",
                desc: "Хорео(Hip-Hop Choreography) являет собой собирательный образ из других стилей и направлений уличных танцев.",
                info: [
                    "Хорео(Hip-Hop Choreography) являет собой собирательный образ из других стилей уличных танцев. " +
                    "Данное направление, в первую очередь, ориентированно на постановку заранее отрепетированного шоу.\n",

                    "В нашей школе направление Hip-Hop Choreography ведет Никандрова Александра, за плечами которого лежит огромное " +
                    "количество командных постановок и выступлений на различных площадках России и далеко за ее пределами."
                ],
                video: "choreo.mp4",
                poster: "poster-choreo.jpg"
            },
            {
                disabled: true,
                show: false,
                id: 6,
                name: "Waacking",
                desc: "Вакинг - танцевальное направление, зародившееся в 70-е годы XX века в Лос-Анджелесе как часть клубной культуры.",
                info: [
                    "Вакинг - танцевальное направление, зародившееся в 70-е годы XX века в Лос-Анджелесе как часть клубной культуры. " +
                    "Своим возникновением он обязан представителям нетрадиционной ориентации. Пионеры, основатели стиля, смогли внести " +
                    "в этот танец что-то особое и притягательное. ",
                    "В основном стиль танцуют под диско, хаус, иногда под фанк, соул и даже поп-музыку.",
                    "Особое внимание в танце уделяется рукам - они очень много двигаются, четко, быстро и изящно. " +
                    "Это сочетается с подиумными проходками и модельными позами. Танцоров вакинга отличает яркость, артистичность, " +
                    "смелость и умение выражать себя. В какой-то момент танец становится похож на актерскую игру."
                ],
                video: "waacking.mp4",
                poster: "poster-choreo.jpg"
            }
        ]
    }

export default function (state = initialState, action) {
    switch (action.type) {
        case "SHOW_DIRBLOCK":
            state.directions.find(x => x.id === action.id).show = action.payload
            return {...state}
        case "CLOSE_INFOBLOCK":
            state.directions.forEach( dir => dir.show = false )
            return {...state}
        default:
            return state
    }
}
